본문 바로가기
개발자의 공부방/모바일

Flutter] gradle 오류 해결

by 쥬니준 2022. 3. 16.
728x90
반응형

 

https://maven.google.com/web/index.html?q=om.android.tools.build#com.android.tools.build:gradle 

 

Google's Maven Repository

Welcome to Google's Maven Repository Select an artifact in the left hand pane to view details Artifacts ({{selectedNode.subnode.length}}) Versions ({{selectedNode.subnode.length}}) folder_open {{child.text}} {{item.name}} {{item.value}} {{item.value.text}}

maven.google.com

https://services.gradle.org/distributions/

 

Gradle Distributions

 

services.gradle.org

 

경로

android/build.graldle

buildscript {
    ext.kotlin_version = '1.3.50' //기존꺼
    ext.kotlin_version = '1.6.0'  //교체버전
    
    ... 생략
    
dependencies {
    classpath 'com.android.tools.build:gradle:4.1.0'         //기존꺼
    classpath "com.android.tools.build:gradle:7.2.0-alpha01" //교체버전
    classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
}

 

경로

프로젝트\android\gradle\wrapper\gradle-wrapper.properties

distributionUrl=https\://services.gradle.org/distributions/gradle-6.7-all.zip //기존꺼
distributionUrl=https\://services.gradle.org/distributions/gradle-7.2-all.zip //교체 버전

 

이렇게 그레들에 관련된 것을 바꾸면 플루터 실행 시 버전 관련된 오류는 해결되고 정상적으로 실행된다.

 

즉, 버전 교체가 답!

반응형

댓글0